/* 
   Savant Effect для Static List

   wizard:   
      config:
      {
         list - link to list type graphical element
         popups - array of popup names
         movedItem - name of the item which moves with the effect
      }    
*/    
function SavantEffect (config) {
   // popup array
   this.items = []; 
   // elements for effects array
   this.movedItems = [];
   // popups and list
   if(config.popups != undefined && config.list != undefined && config.movedItem != undefined) {
      // need atleast 2 elements
      if (config.popups.length > 1){
         this.movedItem = config.movedItem;
         this.list = config.list;
         // get links and fill the list
         for (var i = 0, popupsLength = config.popups.length; i < popupsLength; i++){
            var item = IR.GetItem(config.popups[i]);
            // if this is element
            if(item != null){
               this.items.push(item);
               this.list.AddPopup(item.Name);
               this.movedItems.push(item.GetItem(this.movedItem));
            }
         }
         // signup for movement
         IR.AddListener(IR.EVENT_WORK, 0, this.move, this);  
      }  
   } 
};

// Effect for move list
SavantEffect.prototype.move = function (){
   // limits             
   if(this.items[0].X <= 0 && this.items[this.items.length - 1].X >= 0){ 
      // first
      this.movedItems[0].X = (this.items[0].Width - this.items[1].X) / 2;
      // others
      for(var i = 1, popupsLength = this.items.length; i < popupsLength; i++){
         this.movedItems[i].X = -this.items[i - 1].Width / 2 + (this.items[i - 1].Width - this.items[i].X) / 2; 
      }      
   }  
}; 